#!/bin/bash

# 核心组件扩展
PKGS=(
    wget
    sudo
    lsof
    bash-completion
    fdisk
    gdisk
    parted
    vim
    cpio
    file
    rsync
    tmux
    tree
    psmisc
    rsyslog
    ethtool
    pciutils
    # 弹出光盘命令
    eject
    # Bug: 174408, ntfs, exfat, fat32 格式化命令
    ntfs-3g exfat-utils dosfstools
)
install_pkgs "${PKGS[@]}"

# just for v10sp1 update version
CURRENT_ARCH="$(dpkg --print-architecture)"
if [ "${CURRENT_ARCH}" == "arm64" ]; then
    PKGS=(
        #系统更新组件
        kylin-software-properties
        kylin-background-upgrade
        kylin-system-updater
        kylin-update-frontend
        kylin-daq
        dpkg-dev
    )
    install_pkgs "${PKGS[@]}"
fi