#!/bin/bash

# 工业协议
PKGS=(
    mosquitto-clients mosquitto
    libcoap2 libcoap2-bin
    libmodbus5
    kylin-canopend
    kylin-ethercat
)
install_pkgs "${PKGS[@]}"

# 平台相关
CURRENT_ARCH="$(dpkg --print-architecture)"
# 龙芯 和 riscv64 不安装的包
if [ "${CURRENT_ARCH}" != "riscv64" ] && [ "${CURRENT_ARCH}" != "loongarch64" ]; then
    PKGS=(
        lwip
        # 2023-08-23 无x86版，其他架构也都不安装此包
        # opcua-test
    )
    install_pkgs "${PKGS[@]}"
fi