#!/bin/bash

# 虚拟化
PKGS=(
    qemu qemu-utils qemu-kvm qemu-system-x86 qemu-system-arm qemu-efi-aarch64 virt-manager libvirt-daemon-system kvmtool bridge-utils
    moby-engine
)
install_pkgs "${PKGS[@]}"

# 只有arm64安装kvisor
CURRENT_ARCH="$(dpkg --print-architecture)"
if [ "${CURRENT_ARCH}" == "arm64" ]; then
    PKGS=(
        kvisor
    )
    install_pkgs "${PKGS[@]}"
fi